Skip to main content
`Ctrl`+`K`

# PetscPushJSONValue

Puts a “key” : “value” pair onto a string

## Synopsis

    PetscErrorCode PetscPushJSONValue(char buff[], const char key[], const char value[], size_t bufflen)

## Input Parameters

- buff - the char array where the value will be put

- key - the key value to be set

- value - the value associated with the key

- bufflen - the size of the buffer (currently ignored)

## Note

Ignores lengths so can cause buffer overflow

## See Also

`PetscOpenSocket()`, `PetscHTTPSRequest()`, `PetscSSLInitializeContext()`, `PetscPullJSONValue()`

## Level

advanced

## Location

src/sys/webclient/client.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages